FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Bacek_92
мл. сержант
Сообщения: 70
Зарегистрирован: 2010-05-22 18:02:03

FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Непрочитанное сообщение Bacek_92 » 2017-04-30 13:32:25

Была у меня FreeBSD 10.2 x64
Поставил новую FreeBSD 10.2 x64. Все перенес. Настроил.
Перенес также конфигурацию CERTBOT на новую ОС.

Все настраивалось как тут написано:
https://certbot.eff.org/#freebsd-apache

Если вкратце, то certbot - это штукенция, которая умеет генерировать бесплатные SSL сертификаты LET'S ENCRYPT.

На FreeBSD 10.2 все работало без проблем. После перехода на новую ОС, certbot вообще не работает. Не могу понять почему... и как решать проблему...

Код: Выделить всё

# certbot
Traceback (most recent call last):
  File "/usr/local/bin/certbot", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3019, in <module>
    @_call_aside
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3003, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3032, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 655, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 963, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 849, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'argparse' distribution was not found and is required by certbot 
Что по питону установлено с пакетов:

Код: Выделить всё

 # pkg version -v | grep py
py27-Babel-2.3.4                   =   up-to-date with index
py27-Jinja2-2.9.5                  =   up-to-date with index
py27-MarkupSafe-1.0                =   up-to-date with index
py27-acme-0.13.0,1                 =   up-to-date with index
py27-alabaster-0.7.6               =   up-to-date with index
py27-certbot-0.13.0,1              =   up-to-date with index
py27-cffi-1.7.0                    =   up-to-date with index
py27-configargparse-0.11.0         =   up-to-date with index
py27-configobj-5.0.6_1             =   up-to-date with index
py27-cryptography-1.7.2            =   up-to-date with index
py27-dnspython-1.15.0              =   up-to-date with index
py27-docutils-0.13.1               =   up-to-date with index
py27-enum34-1.1.6                  =   up-to-date with index
py27-funcsigs-1.0.2                =   up-to-date with index
py27-idna-2.0                      =   up-to-date with index
py27-imagesize-0.7.1               =   up-to-date with index
py27-ipaddress-1.0.18              =   up-to-date with index
py27-iso8601-0.1.11                =   up-to-date with index
py27-mock-2.0.0                    =   up-to-date with index
py27-ndg_httpsclient-0.4.2         =   up-to-date with index
py27-openssl-16.2.0                =   up-to-date with index
py27-parsedatetime-2.1             =   up-to-date with index
py27-pbr-1.8.1_1                   =   up-to-date with index
py27-pip-9.0.1                     =   up-to-date with index
py27-psutil-5.2.2                  =   up-to-date with index
py27-pyasn1-0.2.2                  =   up-to-date with index
py27-pycparser-2.10                =   up-to-date with index
py27-pygments-2.2.0                =   up-to-date with index
py27-pyrfc3339-1.0                 =   up-to-date with index
py27-pystemmer-1.3.0_1             =   up-to-date with index
py27-python2-pythondialog-3.4.0    =   up-to-date with index
py27-pytz-2016.10,1                =   up-to-date with index
py27-requests-2.11.1               =   up-to-date with index
py27-setuptools-32.1.0_1           =   up-to-date with index
py27-six-1.10.0                    =   up-to-date with index
py27-snowballstemmer-1.2.0_1       =   up-to-date with index
py27-sphinx-1.4.8,1                =   up-to-date with index
py27-sphinx_rtd_theme-0.2.4        =   up-to-date with index
py27-werkzeug-0.12.1               =   up-to-date with index
py27-zope.component-4.2.2          =   up-to-date with index
py27-zope.event-4.1.0              =   up-to-date with index
py27-zope.interface-4.1.3          =   up-to-date with index
python2-2_3                        =   up-to-date with index
python27-2.7.13_3                  =   up-to-date with index
Версия certbot:

Код: Выделить всё

 # pkg version -v | grep certbot
py27-certbot-0.13.0,1              =   up-to-date with index

Код: Выделить всё

# uname -a
FreeBSD XXXXXXXXXXXX 11.0-RELEASE-p1 FreeBSD 11.0-RELEASE-p1 #0: Thu Apr 27 00:14:26 EEST 2017     XXXXX@XXXXXXXXXX:/usr/obj/usr/src/sys/XXXXXXXXXXX  amd64
"argparse" вроде бы как стоит и импорт питон делает без проблем... А что certbot'у не нравиться - понять не могу....

Код: Выделить всё

 # python
Python 2.7.13 (default, Apr 29 2017, 19:19:27)
[GCC 4.2.1 Compatible FreeBSD Clang 3.8.0 (tags/RELEASE_380/final 262564)] on freebsd11
Type "help", "copyright", "credits" or "license" for more information.
>>> import argparse
>>> exit()
Уже перестанавливал и certbot и python "make reinstall clean". Результата не дало... пытался понять python'овский код certbot'а - тоже результата не дало...


Прошу помощи, как можно решить данную проблему?

Заранее благодарен!

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
xM
ст. лейтенант
Сообщения: 1313
Зарегистрирован: 2009-01-15 23:57:41
Откуда: Königsberg
Контактная информация:

FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Непрочитанное сообщение xM » 2017-04-30 20:28:23

У меня та же фигня. И, похоже, проблема не с certbot, т.к. откат на предыдущую версию ничего не изменил.

Отправлено спустя 2 часа 45 минут 45 секунд:
Проблема была в модуле py27-acme. Пришёл апдейт где всё пофиксили.

Код: Выделить всё

py27-acme-0.13.0_1,1
py27-certbot-0.13.0_1,1
IT voodoo blog https://kostikov.co

Bacek_92
мл. сержант
Сообщения: 70
Зарегистрирован: 2010-05-22 18:02:03

FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Непрочитанное сообщение Bacek_92 » 2017-05-01 0:22:21

Подтверждаю!
Проблема решилась обновлением пакетов!

Код: Выделить всё

portupgrade py27-acme-0.13.0,1
portupgrade py27-certbot-0.13.0,1
Но тут появилась другая проблема....но думаю она со временем как то решиться...

Код: Выделить всё

# certbot certonly
....
Cert is due for renewal, auto-renewing...
Renewing an existing certificate
An unexpected error occurred:
There were too many requests of a given type :: Error creating new authz :: Too many invalid authorizations recently.
Please see the logfiles in /var/log/letsencrypt for more details.
Всем спасибо!

PYO
сержант
Сообщения: 185
Зарегистрирован: 2011-08-18 12:46:45

FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Непрочитанное сообщение PYO » 2017-05-01 0:28:45

Есть решение без зависимостей:
acme.sh - https://github.com/Neilpang/acme.sh

Аватара пользователя
xM
ст. лейтенант
Сообщения: 1313
Зарегистрирован: 2009-01-15 23:57:41
Откуда: Königsberg
Контактная информация:

FreeBSD 11. CERTBOT 'argparse' distribution was not found...

Непрочитанное сообщение xM » 2017-05-01 0:37:14

PYO писал(а): Есть решение без зависимостей:
acme.sh - https://github.com/Neilpang/acme.sh
Да ACME-клиентов вагон, на самом деле
IT voodoo blog https://kostikov.co